Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.LayerPrintData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| LayerPrintData (string subtype, LayerTree.UsageState print_state)
| Constructor, with parameters. More...
| LayerPrintData ()
| Constructor.
| LayerPrintData (LayerPrintData data)
| Constructor, with another layer print data object. More...
void | Set (string subtype, LayerTree.UsageState print_state)
| Set value. More...

## Properties
LayerTree.UsageState | print_state`[get, set]`
| Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
string | subtype`[get, set]`
| A string that specifies the kind of content controlled by a layer.

## Detailed Description

This class represents data for PDF layer printing usage.

## Constructor & Destructor Documentation

## ◆ LayerPrintData() [1/2]

foxit.pdf.LayerPrintData.LayerPrintData | ( | string | subtype,
|  | LayerTree.UsageState | print_state
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from foxit.pdf.LayerTree.UsageState.e_StateON and this should be one of these values except foxit.pdf.LayerTree.UsageState.e_StateUnchanged .

## ◆ LayerPrintData() [2/2]

foxit.pdf.LayerPrintData.LayerPrintData | ( | LayerPrintData | data | ) |
| inline

Constructor, with another layer print data object.

Parameters

  [in] | data | Another layer print data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.LayerPrintData.Set | ( | string | subtype,
|  | LayerTree.UsageState | print_state
| ) |  |
| inline

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from foxit.pdf.LayerTree.UsageState.e_StateON and this should be one of these values except foxit.pdf.LayerTree.UsageState.e_StateUnchanged .

Returns
  None.

## Property Documentation

## ◆ print_state

LayerTree.UsageState foxit.pdf.LayerPrintData.print_state
| get set

Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from foxit.pdf.LayerTree.UsageState.e_StateON and this should be one of these values except foxit.pdf.LayerTree.UsageState.e_StateUnchanged .